<?php

namespace App\Http\Controllers;


use Illuminate\Http\Request;
use App\Models\Analytic;

class AnalyticController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        return view('analytic.home');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view('analytic.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $this->validate($request, [ 
            'analytic' => 'required'
            ]);
    
    
            $analytic = Analytic::create([
                'analytic' => $request->analytic
            ]);
            return redirect()->route('analytic.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show()
    {
        //
        $analytics = Analytic::all();
        return view('analytic.index')->with('analytics', $analytics);
    }

    public function display()
    {
        //
        $analytics = Analytic::all();
        return view('welcome')->with('analytics', $analytics);

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
        $analytic = Analytic::find($id);
        return view('analytic.edit')->with('analytic', $analytic);
    }

    

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
       //
       $this->validate($request,[
        'analytic' => 'required'
    ]);

    $analytic = Analytic::find($id);
    
    $analytic->analytic = $request->analytic;

    $analytic->save();
    return redirect()->route('analytic.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        
    }
}
