<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/about', function () {
    return view('about');
});


Route::get('/gallery', function () {
    return view('gallery');
});

Route::get('/contact', function () {
    return view('contact');
});


Route::get('/mailstream', function () {
    return view('mailstream');
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');


/*   Residential  */

Route::get('/residential/index', 
	['as' => 'residential.index',   'uses' => 'App\Http\Controllers\ResidentialController@index']);

Route::get('/residential/create', 
	['as' => 'residential.create',   'uses' => 'App\Http\Controllers\ResidentialController@create']);

Route::post('/residential/store', 
	['as' => 'residential.store',   'uses' => 'App\Http\Controllers\ResidentialController@store']);

Route::get('/residential/index', 
	['as' => 'residential.index',   'uses' => 'App\Http\Controllers\ResidentialController@show']);

Route::get('/residential/edit/{id}', 
	['as' => 'residential.edit',   'uses' => 'App\Http\Controllers\ResidentialController@edit']);

Route::post('/residential/update/{id}', 
	['as' => 'residential.update',   'uses' => 'App\Http\Controllers\ResidentialController@update']);

Route::get('/signature', 
	['as' => 'signature',   'uses' => 'App\Http\Controllers\ResidentialController@display']);

Route::get('/residential/{id}', 
	['as' => 'residential.destroy',   'uses' => 'App\Http\Controllers\ResidentialController@destroy']);


/*   Commercial  */

Route::get('/commercial/index', 
	['as' => 'commercial.index',   'uses' => 'App\Http\Controllers\CommercialController@index']);

Route::get('/commercial/create', 
	['as' => 'commercial.create',   'uses' => 'App\Http\Controllers\CommercialController@create']);

Route::post('/commercial/store', 
	['as' => 'commercial.store',   'uses' => 'App\Http\Controllers\CommercialController@store']);

Route::get('/commercial/index', 
	['as' => 'commercial.index',   'uses' => 'App\Http\Controllers\CommercialController@show']);

Route::get('/commercial/edit/{id}', 
	['as' => 'commercial.edit',   'uses' => 'App\Http\Controllers\CommercialController@edit']);

Route::post('/commercial/update/{id}', 
	['as' => 'commercial.update',   'uses' => 'App\Http\Controllers\CommercialController@update']);

Route::get('/mainstream', 
	['as' => 'mainstream',   'uses' => 'App\Http\Controllers\CommercialController@display']);

Route::get('/commercial/{id}', 
	['as' => 'commercial.destroy',   'uses' => 'App\Http\Controllers\CommercialController@destroy']);



/*   Factory  */

Route::get('/fact/index', 
	['as' => 'fact.index',   'uses' => 'App\Http\Controllers\FactController@index']);

Route::get('/fact/create', 
	['as' => 'fact.create',   'uses' => 'App\Http\Controllers\FactController@create']);

Route::post('/fact/store', 
	['as' => 'fact.store',   'uses' => 'App\Http\Controllers\FactController@store']);

Route::get('/fact/index', 
	['as' => 'fact.index',   'uses' => 'App\Http\Controllers\FactController@show']);

Route::get('/fact/edit/{id}', 
	['as' => 'fact.edit',   'uses' => 'App\Http\Controllers\FactController@edit']);

Route::post('/fact/update/{id}', 
	['as' => 'fact.update',   'uses' => 'App\Http\Controllers\FactController@update']);

Route::get('/gilde', 
	['as' => 'gilde',   'uses' => 'App\Http\Controllers\FactController@display']);

Route::get('/fact/{id}', 
	['as' => 'fact.destroy',   'uses' => 'App\Http\Controllers\FactController@destroy']);




Route::get('/industrial/index', 
	['as' => 'industrial.index',   'uses' => 'App\Http\Controllers\IndustrialController@index']);

Route::get('/industrial/create', 
	['as' => 'industrial.create',   'uses' => 'App\Http\Controllers\IndustrialController@create']);

Route::post('/industrial/store', 
	['as' => 'industrial.store',   'uses' => 'App\Http\Controllers\IndustrialController@store']);

Route::get('/industrial/index', 
	['as' => 'industrial.index',   'uses' => 'App\Http\Controllers\IndustrialController@show']);

Route::get('/industrial/edit/{id}', 
	['as' => 'industrial.edit',   'uses' => 'App\Http\Controllers\IndustrialController@edit']);

Route::post('/industrial/update/{id}', 
	['as' => 'industrial.update',   'uses' => 'App\Http\Controllers\IndustrialController@update']);

Route::get('/riva', 
	['as' => 'riva',   'uses' => 'App\Http\Controllers\IndustrialController@display']);

Route::get('/industrial/{id}', 
	['as' => 'industrial.destroy',   'uses' => 'App\Http\Controllers\IndustrialController@destroy']);



/*   Residential  */

Route::get('/oresidential/index', 
	['as' => 'oresidential.index',   'uses' => 'App\Http\Controllers\OresidentialController@index']);

Route::get('/oresidential/create', 
	['as' => 'oresidential.create',   'uses' => 'App\Http\Controllers\OresidentialController@create']);

Route::post('/oresidential/store', 
	['as' => 'oresidential.store',   'uses' => 'App\Http\Controllers\OresidentialController@store']);

Route::get('/oresidential/index', 
	['as' => 'oresidential.index',   'uses' => 'App\Http\Controllers\OresidentialController@show']);

Route::get('/oresidential/edit/{id}', 
	['as' => 'oresidential.edit',   'uses' => 'App\Http\Controllers\OresidentialController@edit']);

Route::post('/oresidential/update/{id}', 
	['as' => 'oresidential.update',   'uses' => 'App\Http\Controllers\OresidentialController@update']);

Route::get('/elleffe', 
	['as' => 'elleffe',   'uses' => 'App\Http\Controllers\OresidentialController@display']);

Route::get('/oresidential/{id}', 
	['as' => 'oresidential.destroy',   'uses' => 'App\Http\Controllers\OresidentialController@destroy']);




/*   Ongoing Projects  */


/*   Commercial  */

Route::get('/ocommercial/index', 
	['as' => 'ocommercial.index',   'uses' => 'App\Http\Controllers\OcommercialController@index']);

Route::get('/ocommercial/create', 
	['as' => 'ocommercial.create',   'uses' => 'App\Http\Controllers\OcommercialController@create']);

Route::post('/ocommercial/store', 
	['as' => 'ocommercial.store',   'uses' => 'App\Http\Controllers\OcommercialController@store']);

Route::get('/ocommercial/index', 
	['as' => 'ocommercial.index',   'uses' => 'App\Http\Controllers\OcommercialController@show']);

Route::get('/ocommercial/edit/{id}', 
	['as' => 'ocommercial.edit',   'uses' => 'App\Http\Controllers\OcommercialController@edit']);

Route::post('/ocommercial/update/{id}', 
	['as' => 'ocommercial.update',   'uses' => 'App\Http\Controllers\OcommercialController@update']);

Route::get('/fancy', 
	['as' => 'fancy',   'uses' => 'App\Http\Controllers\OcommercialController@display']);

Route::get('/ocommercial/{id}', 
	['as' => 'ocommercial.destroy',   'uses' => 'App\Http\Controllers\OcommercialController@destroy']);



/*   On going factory  */

Route::get('/ofactory/index', 
	['as' => 'ofactory.index',   'uses' => 'App\Http\Controllers\OfactoryController@index']);

Route::get('/ofactory/create', 
	['as' => 'ofactory.create',   'uses' => 'App\Http\Controllers\OfactoryController@create']);

Route::post('/ofactory/store', 
	['as' => 'ofactory.store',   'uses' => 'App\Http\Controllers\OfactoryController@store']);

Route::get('/ofactory/index', 
	['as' => 'ofactory.index',   'uses' => 'App\Http\Controllers\OfactoryController@show']);

Route::get('/ofactory/edit/{id}', 
	['as' => 'ofactory.edit',   'uses' => 'App\Http\Controllers\OfactoryController@edit']);

Route::post('/ofactory/update/{id}', 
	['as' => 'ofactory.update',   'uses' => 'App\Http\Controllers\OfactoryController@update']);

Route::get('/cutlery', 
	['as' => 'cutlery',   'uses' => 'App\Http\Controllers\OfactoryController@display']);

Route::get('/ofactory/{id}', 
	['as' => 'ofactory.destroy',   'uses' => 'App\Http\Controllers\OfactoryController@destroy']);



/*   On going Industrial  */

Route::get('/oindustrial/index', 
	['as' => 'oindustrial.index',   'uses' => 'App\Http\Controllers\OindustrialController@index']);

Route::get('/oindustrial/create', 
	['as' => 'oindustrial.create',   'uses' => 'App\Http\Controllers\OindustrialController@create']);

Route::post('/oindustrial/store', 
	['as' => 'oindustrial.store',   'uses' => 'App\Http\Controllers\OindustrialController@store']);

Route::get('/oindustrial/index', 
	['as' => 'oindustrial.index',   'uses' => 'App\Http\Controllers\OindustrialController@show']);

Route::get('/oindustrial/edit/{id}', 
	['as' => 'oindustrial.edit',   'uses' => 'App\Http\Controllers\OindustrialController@edit']);

Route::post('/oindustrial/update/{id}', 
	['as' => 'oindustrial.update',   'uses' => 'App\Http\Controllers\OindustrialController@update']);

Route::get('/oindustrial', 
	['as' => 'oindustrial',   'uses' => 'App\Http\Controllers\OindustrialController@display']);

Route::get('/oindustrial/{id}', 
	['as' => 'oindustrial.destroy',   'uses' => 'App\Http\Controllers\OindustrialController@destroy']);


/*   On going Industrial  */


Route::get('/career/index', 
	['as' => 'career.index',   'uses' => 'App\Http\Controllers\CareerController@index']);

Route::get('/career/create', 
	['as' => 'career.create',   'uses' => 'App\Http\Controllers\CareerController@create']);

Route::post('/career/store', 
	['as' => 'career.store',   'uses' => 'App\Http\Controllers\CareerController@store']);

Route::get('/career/show', 
	['as' => 'career.show',   'uses' => 'App\Http\Controllers\CareerController@show']);

Route::get('/career/display/{id}', 
	['as' => 'career.display',   'uses' => 'App\Http\Controllers\CareerController@display']);

Route::get('/career/edit/{id}', 
	['as' => 'career.edit',   'uses' => 'App\Http\Controllers\CareerController@edit']);

Route::post('/career/update/{id}', 
	['as' => 'career.update',   'uses' => 'App\Http\Controllers\CareerController@update']);

Route::get('/career/{id}', 
	['as' => 'career.destroy',   'uses' => 'App\Http\Controllers\CareerController@destroy']);





/*   Residential  */

Route::get('/analytic/index', 
	['as' => 'analytic.index',   'uses' => 'App\Http\Controllers\AnalyticController@index']);

Route::get('/analytic/create', 
	['as' => 'analytic.create',   'uses' => 'App\Http\Controllers\AnalyticController@create']);

Route::post('/analytic/store', 
	['as' => 'analytic.store',   'uses' => 'App\Http\Controllers\AnalyticController@store']);

Route::get('/analytic/index', 
	['as' => 'analytic.index',   'uses' => 'App\Http\Controllers\AnalyticController@show']);

Route::get('/analytic/edit/{id}', 
	['as' => 'analytic.edit',   'uses' => 'App\Http\Controllers\AnalyticController@edit']);

Route::post('/analytic/update/{id}', 
	['as' => 'analytic.update',   'uses' => 'App\Http\Controllers\AnalyticController@update']);

Route::get('/analytic', 
	['as' => 'analytic',   'uses' => 'App\Http\Controllers\AnalyticController@display']);

Route::get('/analytic/{id}', 
	['as' => 'analytic.destroy',   'uses' => 'App\Http\Controllers\AnalyticController@destroy']);

