<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Career;

class CareerController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        return view('career.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('career.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $this->validate($request, [  
        'jobname' => 'required',
        'description' => 'required',
        'joblocation' => 'required',
        'jobtype' => 'required'
        ]);

        $career = Career::create([
            'jobname' => $request->jobname,
            'description' => $request->description,
            'joblocation' => $request->joblocation,
            'jobtype' => $request->jobtype
        ]);

        return redirect()->route('career.show');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show()
    {
        //

        $careers = Career::all();
        return view('career.show')->with('careers', $careers);

    }




    public function job($id)
    {
        //
        $career = Career::find($id);
        return view('viewrole')->with('career', $career);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //  
        $career = Career::find($id);
        return view('career.edit')->with('career', $career);
    }


  

       public function display($id)
    {
        //
        $careers = Career::find($id);
       return view('career.display', compact('careers'));


    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
        $this->validate($request,[
        'jobname' => 'required',
        'description' => 'required',
        'joblocation' => 'required',
        'jobtype' => 'required'
        ]);

        $career = Career::find($id);
        $career->jobname = $request->jobname;
        $career->description = $request->description;
        $career->joblocation = $request->joblocation;
        $career->jobtype = $request->jobtype;

        $career->save();
        return redirect()->route('career.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        Career::find($id)->delete();
        return redirect()->route('career.show');
    }
}
