<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Fact;

class FactController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        return view('fact.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('fact.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $this->validate($request, [
        'image' => 'required|mimes:jpeg,png,jpg,zip,pdf|max:51200',  
        'imagename' => 'required'
        ]);

        $image = $request->image;
        $image_new_name = time().$image->getClientOriginalName();
        $image->move('upload/fact', $image_new_name);

        $fact = Fact::create([
            'image' => 'upload/fact/'.$image_new_name,
            'imagename' => $request->imagename
        ]);
        return redirect()->route('fact.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show()
    {
        //

        $facts = Fact::all();
        return view('fact.index')->with('facts', $facts);

    }


    public function display()
    {
        //

        $facts = Fact::all();
        return view('gilde')->with('facts', $facts);

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //  
        $fact = Fact::find($id);
        return view('fact.edit')->with('fact', $fact);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
        $this->validate($request,[
            'imagename' => 'required'
        ]);

        $fact = Fact::find($id);
        if($request->hasFile('image'))
        {
            $image = $request->image;
            $image_new_name = time(). $image->getClientOriginalName();
            $image->move('upload/fact', $image_new_name);
            $fact->image = 'upload/fact/'.$image_new_name;
        }
        $fact->imagename = $request->imagename;

        $fact->save();
        return redirect()->route('fact.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        Fact::find($id)->delete();
        return redirect()->route('fact.index');
    }
}
