<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Industrial;

class IndustrialController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        return view('industrial.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    
    public function create()
    {
        return view('industrial.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $this->validate($request, [
        'image' => 'required|mimes:jpeg,png,jpg,zip,pdf|max:51200',  
        'imagename' => 'required'
        ]);

        $image = $request->image;
        $image_new_name = time().$image->getClientOriginalName();
        $image->move('upload/industrial', $image_new_name);

        $industrial = Industrial::create([
            'image' => 'upload/industrial/'.$image_new_name,
            'imagename' => $request->imagename
        ]);
        return redirect()->route('industrial.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show()
    {
        //

        $industrials = Industrial::all();
        return view('industrial.index')->with('industrials', $industrials);

    }

        public function display()
    {
        //

        $industrials = Industrial::all();
        return view('riva')->with('industrials', $industrials);

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //  
        $industrial = Industrial::find($id);
        return view('industrial.edit')->with('industrial', $industrial);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
        $this->validate($request,[
            'imagename' => 'required'
        ]);

        $industrial = Industrial::find($id);
        if($request->hasFile('image'))
        {
            $image = $request->image;
            $image_new_name = time(). $image->getClientOriginalName();
            $image->move('upload/industrial', $image_new_name);
            $industrial->image = 'upload/industrial/'.$image_new_name;
        }
        $industrial->imagename = $request->imagename;

        $industrial->save();
        return redirect()->route('industrial.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        Industrial::find($id)->delete();
        return redirect()->route('industrial.index');
    }
}
