<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Oindustrial;

class OindustrialController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        return view('oindustrial.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('oindustrial.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $this->validate($request, [
        'image' => 'required|mimes:jpeg,png,jpg,zip,pdf|max:51200',  
        'imagename' => 'required'
        ]);

        $image = $request->image;
        $image_new_name = time().$image->getClientOriginalName();
        $image->move('upload/oindustrial', $image_new_name);

        $oindustrial = Oindustrial::create([
            'image' => 'upload/oindustrial/'.$image_new_name,
            'imagename' => $request->imagename
        ]);
        return redirect()->route('oindustrial.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show()
    {
        //

        $oindustrials = Oindustrial::all();
        return view('oindustrial.index')->with('oindustrials', $oindustrials);

    }

    public function display()
    {
        //

        $oindustrials = Oindustrial::all();
        return view('oindustrial')->with('oindustrials', $oindustrials);

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //  
        $oindustrial = Oindustrial::find($id);
        return view('oindustrial.edit')->with('oindustrial', $oindustrial);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
        $this->validate($request,[
            'imagename' => 'required'
        ]);

        $oindustrial = Oindustrial::find($id);
        if($request->hasFile('image'))
        {
            $image = $request->image;
            $image_new_name = time(). $image->getClientOriginalName();
            $image->move('upload/oindustrial', $image_new_name);
            $oindustrial->image = 'upload/oindustrial/'.$image_new_name;
        }
        $oindustrial->imagename = $request->imagename;

        $oindustrial->save();
        return redirect()->route('oindustrial.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        Oindustrial::find($id)->delete();
        return redirect()->route('oindustrial.index');
    }
}
