<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Oresidential;

class OresidentialController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        return view('oresidential.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('oresidential.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $this->validate($request, [
        'image' => 'required|mimes:jpeg,png,jpg,zip,pdf|max:51200',  
        'imagename' => 'required'
        ]);

        $image = $request->image;
        $image_new_name = time().$image->getClientOriginalName();
        $image->move('upload/oresidential', $image_new_name);

        $oresidential = Oresidential::create([
            'image' => 'upload/oresidential/'.$image_new_name,
            'imagename' => $request->imagename
        ]);
        return redirect()->route('oresidential.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show()
    {
        //
        $oresidentials = Oresidential::all();
        return view('oresidential.index')->with('oresidentials', $oresidentials);

    }

        public function display()
    {
        //

        $oresidentials = Oresidential::all();
        return view('elleffe')->with('oresidentials', $oresidentials);

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //  
        $oresidential = Oresidential::find($id);
        return view('oresidential.edit')->with('oresidential', $oresidential);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
        $this->validate($request,[
            'imagename' => 'required'
        ]);

        $oresidential = Oresidential::find($id);
        if($request->hasFile('image'))
        {
            $image = $request->image;
            $image_new_name = time(). $image->getClientOriginalName();
            $image->move('upload/oresidential', $image_new_name);
            $oresidential->image = 'upload/oresidential/'.$image_new_name;
        }
        $oresidential->imagename = $request->imagename;

        $oresidential->save();
        return redirect()->route('oresidential.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        Oresidential::find($id)->delete();
        return redirect()->route('oresidential.index');
    }
}
